import { cleanupOrphanedTasks } from '../services/cleanupService';

export function startCleanupJob() {
  // Run daily at 2 AM
  const cleanupInterval = 24 * 60 * 60 * 1000; // 24 hours
  const initialDelay = calculateInitialDelay();

  setTimeout(() => {
    // Run immediately after delay
    cleanupOrphanedTasks();
    // Then set up the daily interval
    setInterval(cleanupOrphanedTasks, cleanupInterval);
  }, initialDelay);
}

function calculateInitialDelay(): number {
  const now = new Date();
  const target = new Date(now);
  target.setHours(2, 0, 0, 0); // 2 AM
  
  if (now > target) {
    target.setDate(target.getDate() + 1);
  }
  
  return target.getTime() - now.getTime();
}
